
TYPO3.Flow - Feature # 3955

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Persistence
Created: 2009-07-22 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Implement limit and ordering for persistence queries
Description

This needs to be possible:

return $query->matching($query->equals('blog', $blog))->setOrderings(array('date' =>
\F3\FLOW3\Persistence\QueryInterface::ORDER_ASCENDING))->setLimit($limit)->execute();

Related issues:
blocked by TYPO3.TYPO3CR - Feature # 3959: Implement limit and ordering for q... Resolved 2009-07-22

History
#1 - 2009-07-22 10:26 - Bastian Waidelich

Not sure, but I think "ordering" has a wrong meaning: http://dict.leo.org/?search=ordering

#2 - 2009-07-22 10:45 - Karsten Dambekalns

Bastian Waidelich wrote:

Not sure, but I think "ordering" has a wrong meaning: http://dict.leo.org/?search=ordering

You might be right, but the term is from the JSR-283 spec, where one has an Ordering interface and methods like getOrderings

So, language issues aside, this is correct. :)

#3 - 2009-07-22 11:48 - Jochen Rau

Maybe you want to port Extbase code ;-)

#4 - 2009-07-22 12:20 - Karsten Dambekalns
- % Done changed from 0 to 50

#5 - 2009-07-23 13:34 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 50 to 100
This has been resolved yesterday, see #3959 for the associated commits.
